Bug 624998 - add 'corenet_udp_bind_dns_port(tor_t)' to tor.te to allow tor to provide dns resolution
Summary: add 'corenet_udp_bind_dns_port(tor_t)' to tor.te to allow tor to provide dns ...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted   
(Show other bugs)
Version: 13
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-18 10:28 UTC by Mr-4
Modified: 2010-08-24 21:13 UTC (History)
0 users

Fixed In Version: selinux-policy-3.7.19-49.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-24 21:13:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mr-4 2010-08-18 10:28:09 UTC
Description of problem:

avc:  denied  { name_bind } is received when starting tor (v2.x).

Version-Release number of selected component (if applicable):

selinux-policy-targeted v3.7.19 and above

How reproducible:

It happens every time when tor is started.


Steps to Reproduce:
1. Edit torrc to include the following statements to enable tor DNS resolution service (available to tor v2.x and above):

DNSPort 53
DNSListenAddress 127.0.0.1:53

2. save torrc
3. service tor start (provided tor is installed and configured properly)
  
Actual results:

avc:  denied  { name_bind } is received and tor exits

Expected results:

tor to run, listen and accept connections on port udp/53 (dns) to be able to provide dns service on the machine it is started on

Additional info:

the above can be fixed by adding the following statement to tor.te:

corenet_udp_bind_dns_port(tor_t)

Comment 1 Miroslav Grepl 2010-08-18 11:50:12 UTC
Fixed in selinux-policy-3.7.19-48.fc13

Comment 2 Fedora Update System 2010-08-20 13:02:08 UTC
selinux-policy-3.7.19-49.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-49.fc13

Comment 3 Fedora Update System 2010-08-21 04:33:52 UTC
selinux-policy-3.7.19-49.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-49.fc13

Comment 4 Fedora Update System 2010-08-24 21:12:41 UTC
selinux-policy-3.7.19-49.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.